Returns a PDF export that has already been generated for a form submission.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Read Form Submissions under the Forms category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/form-submissions/pdf-exports \
--header 'Authorization: Bearer <token>'{
"data": {
"expiresAtTime": "2019-06-13T19:08:25Z",
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"jobStatus": "pending",
"pdfId": "300af62b-5aea-43a9-b4cf-a59667e817ed",
"requestedAtTime": "2019-06-13T19:08:25Z",
"completedAtTime": "2019-06-13T19:08:25Z",
"errorMessage": "PDF export timed out.",
"pdfUrl": "https://samsara-pdf-exports.s3.us-west-2.amazonaws.com/123456",
"pdfUrlExpiresAtTime": "2019-06-13T19:08:25Z"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the form submission PDF export.
OK response.
Form Submission PDF export response object.
Show child attributes
curl --request GET \
--url https://api.samsara.com/form-submissions/pdf-exports \
--header 'Authorization: Bearer <token>'{
"data": {
"expiresAtTime": "2019-06-13T19:08:25Z",
"id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
"jobStatus": "pending",
"pdfId": "300af62b-5aea-43a9-b4cf-a59667e817ed",
"requestedAtTime": "2019-06-13T19:08:25Z",
"completedAtTime": "2019-06-13T19:08:25Z",
"errorMessage": "PDF export timed out.",
"pdfUrl": "https://samsara-pdf-exports.s3.us-west-2.amazonaws.com/123456",
"pdfUrlExpiresAtTime": "2019-06-13T19:08:25Z"
}
}